> For the complete documentation index, see [llms.txt](https://docs.justpush.io/introduction/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.justpush.io/introduction/user-manual/justpush-email.md).

# JustPush Email

## JustPush Email

Want to have an important email as a push notification? No problem, we got you covered. Each user has their own personalized email, allowing them to forward any email and receive the contents as a push message.

Find your personal email with the following steps:

1. Open the JustPush App on your phone.
2. Click on the menu icon in the top left.
3. Proceed to the settings
4. There you see your JustPush Email under *"My JustPush Email"*

   All user related API tokens start with **m\_**&#x58;XXXX

Each email sent to a personalized email will be converted into a push message. A simple email will be converted as follows:

```
To: e_1234123123@jpml.io
Subject: My First Email message
Contents: 
Hello this is the body
```

The content of the email allows specific data variables to alter the behaviour of the message. Each parameter needs to be set on a new line.

<a href="mailto:?subject=My%20First%20Email%20message&#x26;body=Hello%20this%20is%20the%20body" class="button secondary">Open Mail Client</a>

#### **Allowed Email Parameters**

[**Topic**](https://github.com/hniehorster/justpush-backend/blob/main/introduction/the-glossary.md#topic)

Do you want to specify the topic to which the push message should be sent? Add the following to the email.

```
topic=Important
```

{% hint style="info" %}
An email topic name cannot have spaces. If it has spaces, only the first word will be used.
{% endhint %}

And the email will be forwarded as a push message to the Important Emails topic. If you have multiple topics with the same name, we recommend using the Topic Token.

<a href="mailto:?subject=My%20First%20Email%20message&#x26;body=topic%3DImportant%0AHello%20this%20is%20the%20body" class="button secondary">Open Mail Client</a>

```
topic_token=t_atopictokenthatyouneed
```

<details>

<summary>Full Topic (name) Example</summary>

```
To: e_1234123123@jpml.io
Subject: My First Email message
Contents: 
topic=Important
Hello this is the body 
```

</details>

[**Sound**](https://github.com/hniehorster/justpush-backend/blob/main/introduction/the-glossary.md#sound)

Do you want to specify the sound of the push message with an email? Add the following to the email:

```
sound=falling
```

And that will play the falling sound. For all sound options see [The Glossary.](https://github.com/hniehorster/justpush-backend/blob/main/introduction/the-glossary.md#sound)

<a href="mailto:?subject=My%20First%20Email%20message&#x26;body=sound%3Dfalling%0AHello%20this%20is%20the%20body" class="button secondary">Open Mail Client</a>

<details>

<summary>Full Sound Example</summary>

```
To: e_1234123123@jpml.io
Subject: My First Email message
Contents: 
sound=falling
Hello this is the body 
```

</details>

[**Priority**](https://github.com/hniehorster/justpush-backend/blob/main/introduction/the-glossary.md#priority)

Do you want to specify the priority of the email? Add the following to the email.

```
priority=2 
```

And this will be seen as the highest priority. For all priority options see [The Glossary](https://github.com/hniehorster/justpush-backend/blob/main/introduction/the-glossary.md#priority).

<a href="mailto:?subject=My%20First%20Email%20message&#x26;body=priority%3D2%0AHello%20this%20is%20the%20body" class="button secondary">Open Mail Client</a>

<details>

<summary>Full Priority Example</summary>

```
To: e_1234123123@jpml.io
Subject: My First Email message
Contents: 
priority=2
Hello this is the body 
```

</details>

[**Requires Acknowledgement**](https://github.com/hniehorster/justpush-backend/blob/main/introduction/the-glossary.md#acknowledgement)

If the email is so important you need to make sure you keep track of which have been read or have been seen by others? You could flag an email push message as requires an acknowledgement. Add the following to the email.

```
requires_acknowledgement=1
```

And that will add the acknowledgement button to the message in JustPush.

<a href="mailto:?subject=My%20First%20Email%20message&#x26;body=requires_acknowledgement%3D1%0AHello%20this%20is%20the%20body" class="button secondary">Open Mail Client</a>

<details>

<summary>Full Acknowledgement Example</summary>

```
To: e_1234123123@jpml.io
Subject: My First Email message
Contents: 
requires_acknowledgement=1
Hello this is the body 
```

</details>

***

## Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.justpush.io/introduction/user-manual/justpush-email.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
